from setuptools import setup, find_packages
import os

name = 'collective.opengraph'
path = ['src'] + name.split('.') + ['version.txt']
version = open(os.path.join(*path)).read().strip()

tests_require = ['plone.app.testing']

setup(name='collective.opengraph',
      version=version,
      description="Plone opengraph integration",
      long_description=open("README.rst").read() + "\n" +
                       open(os.path.join("docs", "HISTORY.txt")).read(),
      # Get more strings from
      # http://pypi.python.org/pypi?%3Aaction=list_classifiers
      classifiers=[
        "Framework :: Plone",
        "Programming Language :: Python",
        ],
      keywords='',
      author='Giorgio Borelli',
      author_email='giorgio@giorgioborelli.it',
      url='http://plone.org/products/collective.opengraph',
      license='GPL',
      packages=find_packages('src'),
      package_dir={'': 'src'},
      namespace_packages=['collective'],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          'setuptools',
          'ordereddict',
          'plone.api',
          # -*- Extra requirements: -*-
      ],
      extras_require=dict(test=tests_require),
      entry_points="""
      # -*- Entry points: -*-

      [z3c.autoinclude.plugin]
      target = plone
      """,
      )
